//+------------------------------------------------------------------+
//|                                                   Mysql_test.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
#include <mysql.mqh>
int mysql;
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   mysql = mysql_init(mysql);
   if (mysql!=0) Print("allocated");
   string host="localhost";
   string user="root";
   string password="krasnal";
   string DB="mq4";
   int clientflag=0;
   int port=3306;
   string socket="";
   int res=mysql_real_connect(mysql,host,user,password,DB,port,socket,clientflag);
   int err=GetLastError();
   if (res==mysql) Print("connected");
   else Print("error=",mysql," ",mysql_errno(mysql)," ");
   return(0);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   mysql_close(mysql);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
      string query="";
      int length=0;
      
      query=StringConcatenate("insert into mqdata set symbol=\'",Symbol(),"\',open="+Open[0]+",high="+High[0]+",low="+Low[0]+",close="+Close[0]+",ask="+Ask+",bid="+Bid+",ts=\'",Year(),"-",Month(),"-",Day()," ",Hour(),":",Minute(),":",Seconds(),"\'");
 
      length=StringLen(query);
      mysql_real_query(mysql,query,length);
      int myerr=mysql_errno(mysql);
      //if (myerr>0)Print("error=",myerr);

//----
   return(0);
  }
//+------------------------------------------------------------------+